> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/dashboard/users/activity

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/dashboard/users/activity
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve data about [Covata users](/2.16/admin/administering-users.md)' daily sign-in activities on the Covata Platform over a period of time until the current day.

## Detailed description&#x20;

This API endpoint retrieves data values about Covata users' daily sign-in activities on the Covata Platform over a period of time until the current day.

These activities (calculated for each day of the time period specified) include the numbers of Covata users (for each [account type](/2.16/admin/administering-users.md#account-type)) who successfully signed in, the total numbers of users who failed to sign in and the date for each each day of the time period specified.

By default, daily sign-in activities from the last 7 days are returned in the [response](/2.16/api/access-service-api-v1-dashboard-users-activity.md#access-service-api-v1-dashboard-users-activity-returns) from this API endpoint. However, daily sign-in activities from the last day up to the last year (i.e. 365 days) can be retrieved.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/2.16/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/2.16/admin.md)):

* [System administrator](/2.16/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/2.16/api/access-service-api-v1-dashboard-users-activity.md#access-service-api-v1-dashboard-users-activity-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Optional parameters&#x20;

The following optional parameter can be sent in the URL of the GET request:

* **lastDays** - An integer value representing the number of days back from the current time through which to calculate daily data values for all sign-in activities retrieved by this API endpoint. \

  **Notes:**

  * If this parameter is not specified, then a default value of `7` days is assumed.
  * If a parameter value is specified which is outside the permitted range of `1` to `365` days, then the default of `7` days is assumed.
* **uniqueLogin** - (default is false).

  **Example:**

  ```text theme={null}
  https://access-service.xy-company.com/api/v1/dashboard/users/activity?lastDays=14
  ```

## Returns&#x20;

A JSON-formatted response containing the following members:

* **daysReported** - .
* **loginFailures** - .
* **loggedInUsersExternal** - .
* **loggedInUsersLocal** - .
* **loggedInUsersLDAP** - .

  **Example (response from ...):**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.